## org.eclipse.emf.ecore.sdo
Interface SDOPackage.Literals

Enclosing interface:
  SDOPackage

    public static interface SDOPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `CHANGE_SUMMARY` The meta object literal for the '`Change Summary`' class
`static EReference` `CHANGE_SUMMARY__CHANGED_DATA_OBJECTS` The meta object literal for the 'Changed Data Objects' reference list feature
`static EReference` `CHANGE_SUMMARY__DATA_GRAPH` The meta object literal for the 'Data Graph' reference feature
`static EAttribute` `CHANGE_SUMMARY__LOGGING` The meta object literal for the 'Logging' attribute feature
`static EClass` `CHANGE_SUMMARY_SETTING` The meta object literal for the '`Change Summary Setting`' class
`static EReference` `CHANGE_SUMMARY_SETTING__PROPERTY` The meta object literal for the 'Property' reference feature
`static EClass` `DATA_GRAPH` The meta object literal for the '`Data Graph`' class
`static EReference` `DATA_GRAPH__CHANGE_SUMMARY` The meta object literal for the 'Change Summary' reference feature
`static EReference` `DATA_GRAPH__ROOT_OBJECT` The meta object literal for the 'Root Object' reference feature
`static EClass` `DATA_OBJECT` The meta object literal for the '`Data Object`' class
`static EClass` `ECHANGE_SUMMARY` The meta object literal for the '`EChange Summary`' class
`static EReference` `ECHANGE_SUMMARY__EDATA_GRAPH` The meta object literal for the 'EData Graph' reference feature
`static EClass` `ECHANGE_SUMMARY_SETTING` The meta object literal for the '`EChange Summary Setting`' class
`static EClass` `EDATA_GRAPH` The meta object literal for the '`EData Graph`' class
`static EReference` `EDATA_GRAPH__ECHANGE_SUMMARY` The meta object literal for the 'EChange Summary' reference feature
`static EReference` `EDATA_GRAPH__EROOT_OBJECT` The meta object literal for the 'ERoot Object' reference feature
`static EAttribute` `EDATA_GRAPH__RESOURCE_SET` The meta object literal for the 'Resource Set' attribute feature
`static EAttribute` `EDATA_GRAPH__ROOT_RESOURCE` The meta object literal for the 'Root Resource' attribute feature
`static EClass` `EDATA_OBJECT` The meta object literal for the '`EData Object`' class
`static EClass` `EDATA_OBJECT_ANY_TYPE` The meta object literal for the '`EData Object Any Type`' class
`static EClass` `EDATA_OBJECT_SIMPLE_ANY_TYPE` The meta object literal for the '`EData Object Simple Any Type`' class
`static EDataType` `EJAVA_LIST` The meta object literal for the 'EJava List' data type
`static EClass` `EJAVA_SERIALIZABLE` The meta object literal for the '`EJava Serializable`' class
`static EDataType` `EOBJECT_STREAM_EXCEPTION` The meta object literal for the 'EObject Stream Exception' data type
`static EClass` `EPROPERTY` The meta object literal for the '`EProperty`' class
`static EReference` `EPROPERTY__ESTRUCTURAL_FEATURE` The meta object literal for the 'EStructural Feature' reference feature
`static EClass` `ESEQUENCE` The meta object literal for the '`ESequence`' class
`static EClass` `ETYPE` The meta object literal for the '`EType`' class
`static EReference` `ETYPE__ECLASSIFIER` The meta object literal for the 'EClassifier' reference feature
`static EClass` `INTERNAL_EDATA_OBJECT` The meta object literal for the '`Internal EData Object`' class
`static EClass` `PROPERTY` The meta object literal for the '`Property`' class
`static EReference` `PROPERTY__CONTAINING_TYPE` The meta object literal for the 'Containing Type' container reference feature
`static EAttribute` `PROPERTY__CONTAINMENT` The meta object literal for the 'Containment' attribute feature
`static EAttribute` `PROPERTY__DEFAULT` The meta object literal for the 'Default' attribute feature
`static EAttribute` `PROPERTY__MANY` The meta object literal for the 'Many' attribute feature
`static EAttribute` `PROPERTY__NAME` The meta object literal for the 'Name' attribute feature
`static EReference` `PROPERTY__TYPE` The meta object literal for the 'Type' reference feature
`static EClass` `SEQUENCE` The meta object literal for the '`Sequence`' class
`static EClass` `TYPE` The meta object literal for the '`Type`' class
`static EAttribute` `TYPE__INSTANCE_CLASS` The meta object literal for the 'Instance Class' attribute feature
`static EAttribute` `TYPE__NAME` The meta object literal for the 'Name' attribute feature
`static EReference` `TYPE__PROPERTIES` The meta object literal for the 'Properties' containment reference list feature
`static EAttribute` `TYPE__URI` The meta object literal for the 'URI' attribute feature

Field Detail

### ECHANGE_SUMMARY

    static final EClass ECHANGE_SUMMARY

  The meta object literal for the '`EChange Summary`' class.

  See Also:
    `EChangeSummaryImpl`, `SDOPackageImpl.getEChangeSummary()`

### ECHANGE_SUMMARY__EDATA_GRAPH

    static final EReference ECHANGE_SUMMARY__EDATA_GRAPH

  The meta object literal for the 'EData Graph' reference feature.

### ECHANGE_SUMMARY_SETTING

    static final EClass ECHANGE_SUMMARY_SETTING

  The meta object literal for the '`EChange Summary Setting`' class.

  See Also:
    `EChangeSummarySettingImpl`, `SDOPackageImpl.getEChangeSummarySetting()`

### EDATA_GRAPH

    static final EClass EDATA_GRAPH

  The meta object literal for the '`EData Graph`' class.

  See Also:
    `EDataGraphImpl`, `SDOPackageImpl.getEDataGraph()`

### EDATA_GRAPH__RESOURCE_SET

    static final EAttribute EDATA_GRAPH__RESOURCE_SET

  The meta object literal for the 'Resource Set' attribute feature.

### EDATA_GRAPH__ROOT_RESOURCE

    static final EAttribute EDATA_GRAPH__ROOT_RESOURCE

  The meta object literal for the 'Root Resource' attribute feature.

### EDATA_GRAPH__ECHANGE_SUMMARY

    static final EReference EDATA_GRAPH__ECHANGE_SUMMARY

  The meta object literal for the 'EChange Summary' reference feature.

### EDATA_GRAPH__EROOT_OBJECT

    static final EReference EDATA_GRAPH__EROOT_OBJECT

  The meta object literal for the 'ERoot Object' reference feature.

### EDATA_OBJECT

    static final EClass EDATA_OBJECT

  The meta object literal for the '`EData Object`' class.

  See Also:
    `EDataObjectImpl`, `SDOPackageImpl.getEDataObject()`

### EPROPERTY

    static final EClass EPROPERTY

  The meta object literal for the '`EProperty`' class.

  See Also:
    `EPropertyImpl`, `SDOPackageImpl.getEProperty()`

### EPROPERTY__ESTRUCTURAL_FEATURE

    static final EReference EPROPERTY__ESTRUCTURAL_FEATURE

  The meta object literal for the 'EStructural Feature' reference feature.

### CHANGE_SUMMARY

    static final EClass CHANGE_SUMMARY

  The meta object literal for the '`Change Summary`' class.

  See Also:
    `ChangeSummary`, `SDOPackageImpl.getChangeSummary()`

### CHANGE_SUMMARY__LOGGING

    static final EAttribute CHANGE_SUMMARY__LOGGING

  The meta object literal for the 'Logging' attribute feature.

### CHANGE_SUMMARY__DATA_GRAPH

    static final EReference CHANGE_SUMMARY__DATA_GRAPH

  The meta object literal for the 'Data Graph' reference feature.

### CHANGE_SUMMARY__CHANGED_DATA_OBJECTS

    static final EReference CHANGE_SUMMARY__CHANGED_DATA_OBJECTS

  The meta object literal for the 'Changed Data Objects' reference list feature.

### CHANGE_SUMMARY_SETTING

    static final EClass CHANGE_SUMMARY_SETTING

  The meta object literal for the '`Change Summary Setting`' class.

  See Also:
    `ChangeSummary.Setting`, `SDOPackageImpl.getChangeSummarySetting()`

### CHANGE_SUMMARY_SETTING__PROPERTY

    static final EReference CHANGE_SUMMARY_SETTING__PROPERTY

  The meta object literal for the 'Property' reference feature.

### DATA_GRAPH

    static final EClass DATA_GRAPH

  The meta object literal for the '`Data Graph`' class.

  See Also:
    `DataGraph`, `SDOPackageImpl.getDataGraph()`

### DATA_GRAPH__ROOT_OBJECT

    static final EReference DATA_GRAPH__ROOT_OBJECT

  The meta object literal for the 'Root Object' reference feature.

### DATA_GRAPH__CHANGE_SUMMARY

    static final EReference DATA_GRAPH__CHANGE_SUMMARY

  The meta object literal for the 'Change Summary' reference feature.

### DATA_OBJECT

    static final EClass DATA_OBJECT

  The meta object literal for the '`Data Object`' class.

  See Also:
    `DataObject`, `SDOPackageImpl.getDataObject()`

### ESEQUENCE

    static final EClass ESEQUENCE

  The meta object literal for the '`ESequence`' class.

  See Also:
    `ESequence`, `SDOPackageImpl.getESequence()`

### ETYPE

    static final EClass ETYPE

  The meta object literal for the '`EType`' class.

  See Also:
    `ETypeImpl`, `SDOPackageImpl.getEType()`

### ETYPE__ECLASSIFIER

    static final EReference ETYPE__ECLASSIFIER

  The meta object literal for the 'EClassifier' reference feature.

### PROPERTY

    static final EClass PROPERTY

  The meta object literal for the '`Property`' class.

  See Also:
    `Property`, `SDOPackageImpl.getProperty()`

### PROPERTY__NAME

    static final EAttribute PROPERTY__NAME

  The meta object literal for the 'Name' attribute feature.

### PROPERTY__MANY

    static final EAttribute PROPERTY__MANY

  The meta object literal for the 'Many' attribute feature.

### PROPERTY__CONTAINMENT

    static final EAttribute PROPERTY__CONTAINMENT

  The meta object literal for the 'Containment' attribute feature.

### PROPERTY__DEFAULT

    static final EAttribute PROPERTY__DEFAULT

  The meta object literal for the 'Default' attribute feature.

### PROPERTY__TYPE

    static final EReference PROPERTY__TYPE

  The meta object literal for the 'Type' reference feature.

### PROPERTY__CONTAINING_TYPE

    static final EReference PROPERTY__CONTAINING_TYPE

  The meta object literal for the 'Containing Type' container reference feature.

### SEQUENCE

    static final EClass SEQUENCE

  The meta object literal for the '`Sequence`' class.

  See Also:
    `Sequence`, `SDOPackageImpl.getSequence()`

### TYPE

    static final EClass TYPE

  The meta object literal for the '`Type`' class.

  See Also:
    `Type`, `SDOPackageImpl.getType()`

### TYPE__NAME

    static final EAttribute TYPE__NAME

  The meta object literal for the 'Name' attribute feature.

### TYPE__URI

    static final EAttribute TYPE__URI

  The meta object literal for the 'URI' attribute feature.

### TYPE__INSTANCE_CLASS

    static final EAttribute TYPE__INSTANCE_CLASS

  The meta object literal for the 'Instance Class' attribute feature.

### TYPE__PROPERTIES

    static final EReference TYPE__PROPERTIES

  The meta object literal for the 'Properties' containment reference list feature.

### INTERNAL_EDATA_OBJECT

    static final EClass INTERNAL_EDATA_OBJECT

  The meta object literal for the '`Internal EData Object`' class.

  See Also:
    `InternalEDataObject`, `SDOPackageImpl.getInternalEDataObject()`

### EDATA_OBJECT_ANY_TYPE

    static final EClass EDATA_OBJECT_ANY_TYPE

  The meta object literal for the '`EData Object Any Type`' class.

  See Also:
    `EDataObjectAnyTypeImpl`, `SDOPackageImpl.getEDataObjectAnyType()`

### EDATA_OBJECT_SIMPLE_ANY_TYPE

    static final EClass EDATA_OBJECT_SIMPLE_ANY_TYPE

  The meta object literal for the '`EData Object Simple Any Type`' class.

  See Also:
    `EDataObjectSimpleAnyTypeImpl`, `SDOPackageImpl.getEDataObjectSimpleAnyType()`

### EJAVA_SERIALIZABLE

    static final EClass EJAVA_SERIALIZABLE

  The meta object literal for the '`EJava Serializable`' class.

  See Also:
    `Serializable`, `SDOPackageImpl.getEJavaSerializable()`

### EJAVA_LIST

    static final EDataType EJAVA_LIST

  The meta object literal for the 'EJava List' data type.

  See Also:
    `List`, `SDOPackageImpl.getEJavaList()`

### EOBJECT_STREAM_EXCEPTION

    static final EDataType EOBJECT_STREAM_EXCEPTION

  The meta object literal for the 'EObject Stream Exception' data type.

  See Also:
    `ObjectStreamException`, `SDOPackageImpl.getEObjectStreamException()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.